## org.eclipse.jet.core.parser
Class DefaultTemplateResolver.Builder

    java.lang.Object
      org.eclipse.jet.core.parser.DefaultTemplateResolver.Builder

Enclosing class:
  DefaultTemplateResolver

    public static final class DefaultTemplateResolver.Builder

extends java.lang.Object

Builder for DefaultTemplateResolver

Constructor Summary
`DefaultTemplateResolver.Builder(java.net.URI baseLocation)` Convenience constructor when templates are drawn from one location only
`DefaultTemplateResolver.Builder(java.net.URI[] baseLocations)` Create an input manager drawing templates from the listed based locations URLs.

Method Summary
`ITemplateResolver` `build()` Builder the template resolver
`DefaultTemplateResolver.Builder` `templateResolverHelperFactory(ITemplateResolverHelperFactory helper)` Create the input manager instance described by the builder

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTemplateResolver.Builder

    public DefaultTemplateResolver.Builder(java.net.URI[] baseLocations)

  Create an input manager drawing templates from the listed based locations URLs.

  Parameters:
    `baseLocations` - an array of base template locations, in the desired search order
  Throws:
    `java.lang.NullPointerException` - if `baseLocations` or any of its elements is `null`.
    `java.lang.IllegalArgumentException` - if any baseLocation is not a directory URL (ends in a "/").

### DefaultTemplateResolver.Builder

    public DefaultTemplateResolver.Builder(java.net.URI baseLocation)

  Convenience constructor when templates are drawn from one location only

  Parameters:
    `baseLocation` - the base location of templates.
  Throws:
    `java.lang.NullPointerException` - if `baseLocation` is `null`.

Method Detail

### templateResolverHelperFactory

    public DefaultTemplateResolver.Builder templateResolverHelperFactory(ITemplateResolverHelperFactory helper)

  Create the input manager instance described by the builder

  Returns:
    the `DefaultTemplateResolver` instance.

### build

    public ITemplateResolver build()

  Builder the template resolver

  Returns:
    the `DefaultTemplateResolver` instance

Copyright 2006 IBM Corporation and others. All Rights Reserved.